

// Photostrom.sce
// Programm fr Scilab 3.1.1

clc(); 	
version=20091209;
printf('\n\n\n Photostrom Berechnung fuer Champ6v10\n');
printf(' G. Heinz GFaI  heinz@gfai.de %i\n\n',version);
printf(' Programm kann in Scilab-Directory stehen \n');
printf(' Normiertes System: \n U in Volt, R in kOhm, I in mA eingeben! \n\n\n\n');

// Kanalmatrix (string, transponiert)
     K = ['K1' 'K2' 'K3' 'K4' 'K5' 'K6']';

// Photodioden hier eintragen:
     PD = ['EPD280' 'EPD440' 'G8423' 'G8422' 'EPD740' 'G8376']';
     
// Spektrales Maximum in nm hier eintragen:
     lambda = [280 440 2300 1950 740 1550]';

// UI-Wandler-Widerstnde RG hier eintragen (in Kiloohm):
     RG = [82 82 39 39 18 18]';   // in kOhm (!)

// Verstrkungsmatrix Gain g in hex  (Grobuchstaben) hier eingeben:
     hex = ['FF' '38' '64' '78' 'B4' 'C8']';
     g = hex2dec(hex);
     // Faktor x
     x = g/255;

// gemessene Ausangsspannung hier eintragen (Null bis Spitze)
     ua = [2 2 2 2 2 2]';         // Volt Spitze

// Konstanten
     R19 = 0.470;   // kOhm
     R20 = 0.470;   // kOhm
     R = 50;        // kOhm    Wiper MCP42050
     c = R19/R;     // Konstante fr Formel

// Verstrkung zweite Stufe
     v2 = (c + x) ./ (c - x + 1);
     
// Uebertragungsfaktor (Impedanz in kOhm)
     A = RG .* v2;   // A = ua/ip = RG*v2
     ip = ua ./ A;   // ip = ua/A

// Rechnung
     printf('Photostrom Ip in mA, Uebertragungsfaktor A in V/mA \n\n');
     printf('Kanal\t nm\t Diode\t RG(k)\t Hex\t Gain-v2\t Ip(mA)\t\t A(V/mA)\n\n');
     printf('%s\t %g\t %s\t %g\t %s\t %g\t %g\t %g\n',K,lambda,PD,RG,hex,v2,ip,A);
     printf('\n\n');

return;

